﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;

namespace CheckStatusAndDownloadREST
{
    public class CheckStatusAndDownload
    {
        public static void Main(string[] args)
        {
            string apiKey = "your_api_key";
            string url = "https://sandbox.esignlive.com/api";

            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", apiKey);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json,application/zip,text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8");

            //Get senders
            var senders = myClient.GetAsync(new Uri(url + "/account/senders?from=0&to=1000")).Result;
            JObject sendersJSON = JObject.Parse(senders.Content.ReadAsStringAsync().Result);
            Debug.WriteLine(sendersJSON);

            //Add a delegate
            string delegates = "[\"delegateSenderId\"]";
            StringContent jsonContent = new StringContent(delegates, Encoding.UTF8, "application/json");

            var response = myClient.PutAsync(new Uri(url) + "/account/senders/{senderId}/delegates", jsonContent).Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);
           
        }
    }
}